export declare const maxComponentsPerMessage: number;
export declare const maxTextFieldLength: number;
export declare const maxUrlLength: number;
export declare const maxHeaderLength: number;
export declare const maxImageTextLength: number;
export declare const maxColumnTextLength: number;
export declare const maxColumnCount: number;
export declare const slackApiMethodPost = "POST";
export declare const slackApiBaseUrl = "https://hooks.slack.com/services/";
export declare const msgBlockPlainText = "plain_text";
export declare const msgBlockMarkdownText = "mrkdwn";
export declare const msgBlockTypeDivider = "divider";
export declare const msgBlockTypeHeader = "header";
export declare const msgBlockTypeSection = "section";
export declare const msgBlockTypeImage = "image";
export declare const priorityLow = "low";
export declare const priorityMedium = "med";
export declare const priorityHigh = "high";
export declare const messagePriorities: readonly ["low", "med", "high"];
export interface slackMessage {
    blocks: slackMessageBlock[];
}
export type slackMessageBlock = slackMsgBlockDivider | slackMsgBLockHeader | slackMsgBlockLargeImage | slackMsgBlockSmallImage | slackMsgTextBlock | slackMsgTextColumns;
export interface slackMsgBlockDivider {
    type: typeof msgBlockTypeDivider;
}
export interface slackMsgBLockHeader {
    type: typeof msgBlockTypeHeader;
    text: slackMsgTextFields;
}
export interface slackMsgBlockLargeImage extends slackMsgsImgFields {
    title?: slackMsgTextFields;
}
export interface slackMsgBlockSmallImage {
    type: typeof msgBlockTypeSection;
    text?: slackMsgTextFields;
    accessory: slackMsgsImgFields;
}
export interface slackMsgTextBlock {
    type: typeof msgBlockTypeSection;
    text: slackMsgTextFields;
}
export interface slackMsgTextColumns {
    type: typeof msgBlockTypeSection;
    fields: slackMsgTextFields[];
}
export interface slackMsgTextFields {
    type: typeof msgBlockPlainText | typeof msgBlockMarkdownText;
    text: string;
    emoji?: true;
}
export interface slackMsgsImgFields {
    type: typeof msgBlockTypeImage;
    image_url: string;
    alt_text: string;
}
