import * as logger from 'logger';
export { logger };
import exceptionalError from 'exceptionalhandler';
export { exceptionalError };
import * as slackConstants from './slacker.constants.js';
export declare class slackNotification {
    private serviceName;
    msgArray: slackConstants.slackMessageBlock[];
    private webhookUrl;
    private medIcon;
    private highIcon;
    private lowIcon;
    constructor(name: string, priority: typeof slackConstants.messagePriorities[number], webhook: string);
    addheader(headerText: string): void;
    addMessage(text: string, textFormatting?: typeof slackConstants.msgBlockMarkdownText | typeof slackConstants.msgBlockPlainText): void;
    addTextColumns(textFields: string[], textFormatting?: typeof slackConstants.msgBlockMarkdownText | typeof slackConstants.msgBlockPlainText): void;
    addDivider(): void;
    addImage(size: "big" | "small", imageUrl: string, imageAltText: string, imageText: string | null, textFormatting?: typeof slackConstants.msgBlockMarkdownText | typeof slackConstants.msgBlockPlainText): void;
    addButton(maintext: string, buttonText: string, url: string, textFormatting?: typeof slackConstants.msgBlockMarkdownText | typeof slackConstants.msgBlockPlainText): void;
    validateNew(name: string, priority: typeof slackConstants.messagePriorities[number], webhook: string): void;
    sendNotification(): Promise<boolean>;
    truncateText(text: string | null, length: number): string | null;
}
